PHP 7.0 naar 5.5.9 of 5.6

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Manuel Van den hoogaard

Manuel Van den hoogaard

10/08/2017 19:36:02
Quote Anchor link
Zojuist heb ik een nieuwe dedicated server genomen welke op php versie 7.0.22 draait.
Aangezien mijn "oude" server nog op 5.5.9 draait werkt de site niet.

Nu kunnen we natuurlijk zeggen: verbouw je scripts naar 7.0 maar dit vraagt zoveel tijd, die ik op dit moment niet heb. Echter heb ik er wel gebaat bij dat de nieuwe server funtioneel is voor mijn scripts.

Ik heb het onderstaande doorlopen om PHP 7.0 te downgraden naar 5.6 maar dit lukte mij niet.
ASK Ubuntu

Alle stappen waren correct verlopen. met php -v gaf de server ook aan dat het versie 5.6 betrof maar op PLESK was dit niet te zien. In de PLESK was wel zichtbaar dat de php versie 5.6 in het keuzemenu stond maar dat deze niet individueel geselecteerd kon worden (dan bleef het vakje zich herstellen naar niet geselecteerd (nadat de site het probeerde te corrigeren)

Heeft iemand enig idee waarom dit niet zou kunnen?
 
PHP hulp

PHP hulp

03/10/2022 16:00:09
 
- Ariën  -
Beheerder

- Ariën -

10/08/2017 19:38:21
Quote Anchor link
Kan je niet twee versies tegelijkertijd aanbieden op de server?
Dan kan je in .htaccess kenbaar maken welke handler je wilt gebruiken: Die van PHP 5.6 of PHP 7.

Downgraden kan, maar als je de site ombouwt, dan wil je uiteindelijk toch kunnen kijken of hij in testfase goed werkt op PHP 7.
 
Manuel Van den hoogaard

Manuel Van den hoogaard

10/08/2017 19:39:56
Quote Anchor link
Ja, dat zou moeten kunnen maar ook dat is niet mogelijk.
Ik ben de server nu opnieuw aan het installeren om weer bij stap 1 te beginnen...

Alle stappen hadden niet het resultaat dat php 5.6 functioneerde.

Het ombouwen van de scripts is nu gewoonweg niet mogelijk qua tijd...
Mocht het zover zijn dan neem ik wel een nieuwe server erbij om het erop te testen, dat moet het probleem niet zijn denk ik zo
Gewijzigd op 10/08/2017 19:40:51 door Manuel Van den hoogaard
 
- Ariën  -
Beheerder

- Ariën -

10/08/2017 19:44:39
Quote Anchor link
Een nieuwe server is niet nodig. Volgens de manual van Plesk zou het moeten kunnen.
 
Manuel Van den hoogaard

Manuel Van den hoogaard

10/08/2017 20:00:40
Quote Anchor link
Ik ga het nog eens proberen, bedankt voor deze verwijzing! :)
 
Peter K

Peter K

10/08/2017 20:16:43
Quote Anchor link
Je kunt inderdaad meerdere PHP versies tegelijk draaien op je server.
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.